Subject: [PATCH v7 17/16] arm64: hibernate: Refuse to hibernate if the boot cpu is offline

From: [email-masked] (James Morse)
Date: Fri, 22 Apr 2016 16:32:37 +0100

On 22/04/16 11:41, Catalin Marinas wrote:
> On Wed, Apr 13, 2016 at 05:31:50PM +0100, James Morse wrote:
>> It is important to hibernate/resume on the same CPU, otherwise we may
>> change the cpu order or restore a big cpu's register state on a little
>> cpu.
>>
>> We know cpu 0 is the cpu the firmware booted us on last time, refuse to
>> hibernate if it has been hotplugged out. Follow x86's example by registering
>> a pm notifier that is called before processes are frozen and devices are
>> stopped.
>>
>> Signed-off-by: James Morse <[email-masked]>
> 
> I think for the time being we should just go ahead with this patch (with
> Lorenzo's suggestion for the commit log):
> 
> Acked-by: Catalin Marinas <[email-masked]>

Thanks,

> Subsequently we could look at what Mark suggested on using MPIDR to
> hibernate/resume on CPU other than 0.

I was going to squash this into one of the previous patches, but as there is a
better-way(tm), I will leave it as it is so we can revert it later.

James